| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Protocols
Protocols.LDAP
Protocols.LDAP.client
Protocols.LDAP.client()->result

# Method Protocols.LDAP.client()->result()->fetch_all()

Method fetch_all

  `array(ResultEntry) fetch_all()`

Description

  Convenience function to fetch all entries at once. The cursor isn't affected.

Returns

  Returns an array where each element is the entry from the result. Don't be destructive on the returned value.

Throws

  Unless Protocols.LDAP.SEARCH_RETURN_DECODE_ERRORS was given to search , a Locale.Charset.DecodeError is thrown if there is an error decoding the DN or any attribute value.

See also

  fetch